﻿@model IEnumerable<ALK.Models.ProductOrder>

@{
    ViewBag.Title = "Index";
}


<a href="@Url.Action("Index","AspNetUsers")" style="float:right;font-size:25px" class="btn btn-info">User administration</a>
<a href="@Url.Action("Index","ProductAdmin")" style="float:right; margin-right:25px;font-size:25px" class="btn btn-info">Product administration</a>


<h2>Order administration</h2>

<p>
    @Html.ActionLink("Create New", "Create")
</p>
<table class="table">
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.Qty)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.OrderDate)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Description)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Delivered)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.DeliveryDate)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.DeliveryAddress)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.PaymentDone)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.PaymentDate)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.PaymentAmount)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.OrderNumber)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.AspNetUser.Email)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Product.UserId)
        </th>
        <th></th>
    </tr>

    @foreach (var item in Model)
    {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.Qty)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.OrderDate)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Description)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Delivered)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.DeliveryDate)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.DeliveryAddress)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.PaymentDone)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.PaymentDate)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.PaymentAmount)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.OrderNumber)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.AspNetUser.Email)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Product.UserId)
            </td>
            <td>
                @Html.ActionLink("Edit", "Edit", new { id = item.Id }) |
                @Html.ActionLink("Details", "Details", new { id = item.Id }) |
                @Html.ActionLink("Delete", "Delete", new { id = item.Id })
            </td>
        </tr>
    }

</table>
